For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
      • GETGet payment reminder configurations
      • POSTCreate a payment reminder configuration
      • GETGet a payment reminder configuration by ID
      • DELDelete a payment reminder configuration
      • PATCHUpdate a payment reminder configuration
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts receivablePayment reminders

Get a payment reminder configuration by ID

GET
/payment_reminders/:payment_reminder_id
GET
/v1/payment_reminders/:payment_reminder_id
$curl https://api.sandbox.monite.com/v1/payment_reminders/payment_reminder_id \
> -H "x-monite-version: 2023-09-01" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "id": "id",
3 "created_at": "2024-01-15T09:30:00Z",
4 "updated_at": "2024-01-15T09:30:00Z",
5 "entity_id": "entity_id",
6 "name": "name",
7 "status": "active",
8 "recipients": {
9 "bcc": [
10 "bcc"
11 ],
12 "cc": [
13 "cc"
14 ],
15 "to": [
16 "to"
17 ]
18 },
19 "term_1_reminder": {
20 "body": "body",
21 "days_before": 1,
22 "subject": "subject"
23 },
24 "term_2_reminder": {
25 "body": "body",
26 "days_before": 1,
27 "subject": "subject"
28 },
29 "term_final_reminder": {
30 "body": "body",
31 "days_before": 1,
32 "subject": "subject"
33 }
34}
Was this page helpful?
Previous

Delete a payment reminder configuration

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

payment_reminder_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstringformat: "uuid"
created_atdatetime
Time at which the PaymentReminder was created. Timestamps follow the ISO 8601 standard.
updated_atdatetime
Time at which the PaymentReminder was last updated. Timestamps follow the ISO 8601 standard.
entity_idstringformat: "uuid"
namestring
statusenum
Allowed values:
recipientsobject
term_1_reminderobject
Reminder to send for first payment term
term_2_reminderobject
Reminder to send for second payment term
term_final_reminderobject
Reminder to send for final payment term

Errors

401
Get Payment Reminders ID Request Unauthorized Error
403
Get Payment Reminders ID Request Forbidden Error
404
Get Payment Reminders ID Request Not Found Error
422
Get Payment Reminders ID Request Unprocessable Entity Error
500
Get Payment Reminders ID Request Internal Server Error